Package com.avaya.clientservices.call.conference

## Interface ConferenceSlideViewer

-     public interface ConferenceSlideViewer

  Interface providing conference slide viewing capability.

  The conference slide viewer is a mechanism by which a client application can subscribe to the list of slides shared during a conference call. By subscribing to the slide viewer, active and new users can review the content that was already shared in the meeting without affecting the existing presentation session. The slide viewer is active/available on a client as long as there is active presentation session. When the presentation stops, the slide viewer is ended.

  Not Supported

  Conference slide viewing is currently not supported.

  This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(ConferenceSlideViewerListener listener)` | Adds a new listener to the conference slide viewer object.
    `java.util.List<ConferenceSlide>` | `getSlides()` | Returns the list of slides available for viewing.
    `void` | `removeListener​(ConferenceSlideViewerListener listener)` | Removes a listener from the conference slide viewer object.
    `void` | `subscribe​(ConferenceSlideViewerSubscriptionCompletionHandler handler)` | Initiates subscription to slide information.
    `void` | `unsubscribe​(CallCompletionHandler handler)` | Ends subscription to slide information.

- - ### Method Detail

    - #### addListener

          void addListener​(ConferenceSlideViewerListener listener)

      Adds a new listener to the conference slide viewer object.
      Parameters:
        `listener` - New conference slide viewer listener that is being added.

    - #### removeListener

          void removeListener​(ConferenceSlideViewerListener listener)

      Removes a listener from the conference slide viewer object.
      Parameters:
        `listener` - Listener instance that is removed from the conference slide viewer object.

    - #### subscribe

          void subscribe​(ConferenceSlideViewerSubscriptionCompletionHandler handler)

      Initiates subscription to slide information.
      Parameters:
        `handler` - Object that wants to learn about the result of the operation, i.e., whether it was successful.
      See Also:
        `ConferenceSlideViewerListener`

    - #### unsubscribe

          void unsubscribe​(CallCompletionHandler handler)

      Ends subscription to slide information.
      Parameters:
        `handler` - Object that wants to learn about the result of the operation, i.e., whether it was successful.
      See Also:
        `ConferenceSlideViewerListener`

    - #### getSlides

          java.util.List<ConferenceSlide> getSlides()

      Returns the list of slides available for viewing.
      Returns:
        The list of slides that are available on the conference call.